## binutils-avr 2.25+Atmel3.5.0

=== gdb/features/Makefile ===
# Copyright (C) 2007-2014 Free Software Foundation, Inc.

# This file is part of GDB.

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.


# This file requires GNU make!

# This Makefile updates files in ../regformats from their XML master
# copies.  Because this relies on xsltproc, it is not normally run
# during the build process; it should be run by hand when one of the
# affected XML files is changed, and the results should be kept in the
# GDB repository.

# It can also update the C files in the features directory from their
# XML master copies.  This relies on a GDB linked with expat and that
# is configured to include support for the architecture, so the files
# are kept in the GDB repository.
#
# By default we'll generate all C files, and you must point make at a
# GDB that has been configured with --enable-targets=all:
#
#   make GDB=/path/to/gdb cfiles
#
# To regenerate all C files from scratch:
#
#   make GDB=/path/to/gdb clean-cfiles cfiles
#
# To generate specific C files, you can override the XMLTOC make
# variable:
#
#   make GDB=/path/to/gdb XMLTOC="xml files" cfiles

WHICH = aarch64 \
	arm-with-iwmmxt arm-with-vfpv2 arm-with-vfpv3 arm-with-neon \
	i386/i386 i386/i386-linux \
	i386/i386-mmx i386/i386-mmx-linux \
	i386/amd64 i386/amd64-linux \
	i386/i386-avx i386/i386-avx-linux \
	i386/i386-mpx i386/i386-mpx-linux \
	i386/i386-avx512 i386/i386-avx512-linux \
	i386/amd64-avx i386/amd64-avx-linux \
	i386/amd64-mpx i386/amd64-mpx-linux \
	i386/amd64-avx512 i386/amd64-avx512-linux \
	i386/x32 i386/x32-linux \
	i386/x32-avx i386/x32-avx-linux \
	i386/x32-avx512 i386/x32-avx512-linux \
	mips-linux mips-dsp-linux \
	microblaze-with-stack-protect \
	mips64-linux mips64-dsp-linux \
	nios2-linux \
	rs6000/powerpc-32 \
	rs6000/powerpc-32l rs6000/powerpc-altivec32l rs6000/powerpc-e500l \
	rs6000/powerpc-64l rs6000/powerpc-altivec64l rs6000/powerpc-vsx32l \
	rs6000/powerpc-vsx64l rs6000/powerpc-cell32l rs6000/powerpc-cell64l \
	s390-linux32 s390-linux64 s390x-linux64 \
	s390-linux32v1 s390-linux64v1 s390x-linux64v1 \
	s390-linux32v2 s390-linux64v2 s390x-linux64v2 \
	s390-te-linux64 s390x-te-linux64 \
	tic6x-c64xp tic6x-c64x tic6x-c62x \
	tic6x-c64xp-linux tic6x-c64x-linux tic6x-c62x-linux

# Record which registers should be sent to GDB by default after stop.
aarch64-expedite = x29,sp,pc
arm-expedite = r11,sp,pc
i386/i386-expedite = ebp,esp,eip
i386/i386-linux-expedite = ebp,esp,eip
i386/amd64-expedite = rbp,rsp,rip
i386/amd64-linux-expedite = rbp,rsp,rip
i386/i386-avx-expedite = ebp,esp,eip
i386/i386-avx-linux-expedite = ebp,esp,eip
i386/i386-mpx-expedite = ebp,esp,eip
i386/i386-mpx-linux-expedite = ebp,esp,eip
i386/i386-avx512-expedite = ebp,esp,eip
i386/i386-avx512-linux-expedite = ebp,esp,eip
i386/i386-mmx-expedite = ebp,esp,eip
i386/i386-mmx-linux-expedite = ebp,esp,eip
i386/amd64-avx-expedite = rbp,rsp,rip
i386/amd64-avx-linux-expedite = rbp,rsp,rip
i386/amd64-mpx-expedite = rbp,rsp,rip
i386/amd64-mpx-linux-expedite = rbp,rsp,rip
i386/amd64-avx512-expedite = rbp,rsp,rip
i386/amd64-avx512-linux-expedite = rbp,rsp,rip
i386/x32-expedite = rbp,rsp,rip
i386/x32-linux-expedite = rbp,rsp,rip
i386/x32-avx-expedite = rbp,rsp,rip
i386/x32-avx-linux-expedite = rbp,rsp,rip
i386/x32-avx512-expedite = rbp,rsp,rip
i386/x32-avx512-linux-expedite = rbp,rsp,rip
mips-expedite = r29,pc
mips-dsp-expedite = r29,pc
mips64-expedite = r29,pc
mips64-dsp-expedite = r29,pc
microblaze-expedite = r1,pc
nios2-linux-expedite = sp,pc
powerpc-expedite = r1,pc
rs6000/powerpc-cell32l-expedite = r1,pc,r0,orig_r3,r4
rs6000/powerpc-cell64l-expedite = r1,pc,r0,orig_r3,r4
s390-linux32-expedite = r14,r15,pswa
s390-linux32v1-expedite = r14,r15,pswa
s390-linux32v2-expedite = r14,r15,pswa
s390-linux64-expedite = r14l,r15l,pswa
s390-linux64v1-expedite = r14l,r15l,pswa
s390-linux64v2-expedite = r14l,r15l,pswa
s390-te-linux64-expedite = r14,r15,pswa
s390x-linux64-expedite = r14,r15,pswa
s390x-linux64v1-expedite = r14,r15,pswa
s390x-linux64v2-expedite = r14,r15,pswa
s390x-te-linux64-expedite = r14,r15,pswa
tic6x-c64xp-expedite = A15,PC
tic6x-c64x-expedite = A15,PC
tic6x-c62x-expedite = A15,PC
tic6x-c64xp-linux-expedite = A15,PC
tic6x-c64x-linux-expedite = A15,PC
tic6x-c62x-linux-expedite = A15,PC


XSLTPROC = xsltproc
outdir = ../regformats
OUTPUTS = $(patsubst %,$(outdir)/%.dat,$(WHICH))

# The set of xml files we'll generate .c files for GDB from.  By
# default we'll build all .c files, which requires an
# --enable-targets=all GDB.  You can override this by passing XMLTOC
# to make on the command line.
XMLTOC = \
	aarch64.xml \
	arm-with-iwmmxt.xml \
	arm-with-m-fpa-layout.xml \
	arm-with-m-vfp-d16.xml \
	arm-with-m.xml \
	arm-with-neon.xml \
	arm-with-vfpv2.xml \
	arm-with-vfpv3.xml \
	i386/amd64-avx-linux.xml \
	i386/amd64-avx.xml \
	i386/amd64-avx512-linux.xml \
	i386/amd64-avx512.xml \
	i386/amd64-linux.xml \
	i386/amd64-mpx-linux.xml \
	i386/amd64-mpx.xml \
	i386/amd64.xml \
	i386/i386-avx-linux.xml \
	i386/i386-avx.xml \
	i386/i386-avx512-linux.xml \
	i386/i386-avx512.xml \
	i386/i386-linux.xml \
	i386/i386-mmx-linux.xml \
	i386/i386-mmx.xml \
	i386/i386-mpx-linux.xml \
	i386/i386-mpx.xml \
	i386/i386.xml \
	i386/x32-avx-linux.xml \
	i386/x32-avx.xml \
	i386/x32-avx512-linux.xml \
	i386/x32-avx512.xml \
	i386/x32-linux.xml \
	i386/x32.xml \
	microblaze-with-stack-protect.xml \
	microblaze.xml \
	mips-dsp-linux.xml \
	mips-linux.xml \
	mips64-dsp-linux.xml \
	mips64-linux.xml \
	nios2-linux.xml \
	nios2.xml \
	rs6000/powerpc-32.xml \
	rs6000/powerpc-32l.xml \
	rs6000/powerpc-403.xml \
	rs6000/powerpc-403gc.xml \
	rs6000/powerpc-405.xml \
	rs6000/powerpc-505.xml \
	rs6000/powerpc-601.xml \
	rs6000/powerpc-602.xml \
	rs6000/powerpc-603.xml \
	rs6000/powerpc-604.xml \
	rs6000/powerpc-64.xml \
	rs6000/powerpc-64l.xml \
	rs6000/powerpc-7400.xml \
	rs6000/powerpc-750.xml \
	rs6000/powerpc-860.xml \
	rs6000/powerpc-altivec32.xml \
	rs6000/powerpc-altivec32l.xml \
	rs6000/powerpc-altivec64.xml \
	rs6000/powerpc-altivec64l.xml \
	rs6000/powerpc-cell32l.xml \
	rs6000/powerpc-cell64l.xml \
	rs6000/powerpc-e500.xml \
	rs6000/powerpc-e500l.xml \
	rs6000/powerpc-isa205-32l.xml \
	rs6000/powerpc-isa205-64l.xml \
	rs6000/powerpc-isa205-altivec32l.xml \
	rs6000/powerpc-isa205-altivec64l.xml \
	rs6000/powerpc-isa205-vsx32l.xml \
	rs6000/powerpc-isa205-vsx64l.xml \
	rs6000/powerpc-vsx32.xml \
	rs6000/powerpc-vsx32l.xml \
	rs6000/powerpc-vsx64.xml \
	rs6000/powerpc-vsx64l.xml \
	rs6000/rs6000.xml \
	s390-linux32.xml \
	s390-linux32v1.xml \
	s390-linux32v2.xml \
	s390-linux64.xml \
	s390-linux64v1.xml \
	s390-linux64v2.xml \
	s390-te-linux64.xml \
	s390x-linux64.xml \
	s390x-linux64v1.xml \
	s390x-linux64v2.xml \
	s390x-te-linux64.xml \
	tic6x-c62x-linux.xml \
	tic6x-c62x.xml \
	tic6x-c64x-linux.xml \
	tic6x-c64x.xml \
	tic6x-c64xp-linux.xml \
	tic6x-c64xp.xml

CFILES = $(patsubst %.xml,%.c,$(XMLTOC))
GDB = false

all: $(OUTPUTS)

$(outdir)/%.dat: %.xml number-regs.xsl sort-regs.xsl gdbserver-regs.xsl
	echo "# THIS FILE IS GENERATED.  -*- buffer-read-only: t -*- vi :set ro:" > $(outdir)/$*.tmp
	echo "# Generated from: $<" >> $(outdir)/$*.tmp
	echo "name:`echo $(notdir $*) | sed 's/-/_/g'`" >> $(outdir)/$*.tmp
	echo "xmltarget:$(<F)" >> $(outdir)/$*.tmp
	echo "expedite:$(if $($*-expedite),$($*-expedite),$($(firstword $(subst -, ,$(notdir $*)))-expedite))" \
	  >> $(outdir)/$*.tmp
	$(XSLTPROC) --path "$(PWD)" --xinclude number-regs.xsl $< | \
	  $(XSLTPROC) sort-regs.xsl - | \
	  $(XSLTPROC) gdbserver-regs.xsl - >> $(outdir)/$*.tmp
	sh ../../move-if-change $(outdir)/$*.tmp $(outdir)/$*.dat

cfiles: $(CFILES)
%.c: %.xml
	$(GDB) -nx -q -batch \
	  -ex "set tdesc filename $<" -ex 'maint print c-tdesc' > $@.tmp
	sh ../../move-if-change $@.tmp $@

# Other dependencies.
$(outdir)/arm-with-iwmmxt.dat: arm-core.xml xscale-iwmmxt.xml
$(outdir)/i386/i386.dat: i386/32bit-core.xml i386/32bit-sse.xml
$(outdir)/i386/i386-linux.dat: i386/32bit-core.xml i386/32bit-sse.xml \
			       i386/32bit-linux.xml
$(outdir)/i386/amd64.dat: i386/64bit-core.xml i386/64bit-sse.xml
$(outdir)/i386/amd64-linux.dat: i386/64bit-core.xml i386/64bit-sse.xml \
			        i386/64bit-linux.xml
$(outdir)/i386/i386-avx.dat: i386/32bit-core.xml i386/32bit-avx.xml
$(outdir)/i386/i386-avx-linux.dat: i386/32bit-core.xml i386/32bit-avx.xml \
			       i386/32bit-linux.xml
$(outdir)/i386/i386-mpx.dat: i386/32bit-core.xml i386/32bit-avx.xml \
			       i386/32bit-mpx.xml
$(outdir)/i386/i386-mpx-linux.dat: i386/32bit-core.xml 	i386/32bit-avx.xml \
			       i386/32bit-linux.xml i386/32bit-mpx.xml
$(outdir)/i386/i386-avx512.dat: i386/32bit-core.xml i386/32bit-avx.xml \
			       i386/32bit-mpx.xml i386/32bit-avx512.xml
$(outdir)/i386/i386-avx512-linux.dat: i386/32bit-core.xml i386/32bit-avx.xml \
			       i386/32bit-linux.xml i386/32bit-mpx.xml i386/32bit-avx512.xml
$(outdir)/i386/i386-mmx.dat: i386/32bit-core.xml 
$(outdir)/i386/i386-mmx-linux.dat: i386/32bit-core.xml i386/32bit-linux.xml
$(outdir)/i386/amd64-avx.dat: i386/64bit-core.xml i386/64bit-avx.xml
$(outdir)/i386/amd64-avx-linux.dat: i386/64bit-core.xml i386/64bit-avx.xml \
				    i386/64bit-linux.xml
$(outdir)/i386/amd64-mpx-linux.dat: i386/64bit-core.xml i386/64bit-avx.xml \
			       i386/64bit-linux.xml i386/64bit-mpx.xml
$(outdir)/i386/amd64-mpx.dat: i386/64bit-core.xml i386/64bit-avx.xml \
			       i386/64bit-mpx.xml
$(outdir)/i386/amd64-avx512.dat: i386/64bit-core.xml i386/64bit-avx.xml \
			       i386/64bit-mpx.xml i386/64bit-avx512.xml
$(outdir)/i386/amd64-avx512-linux.dat: i386/64bit-core.xml i386/64bit-avx.xml \
			       i386/64bit-mpx.xml i386/64bit-avx512.xml \
			       i386/64bit-linux.xml
$(outdir)/i386/x32.dat: i386/x32-core.xml i386/64bit-sse.xml
$(outdir)/i386/x32-linux.dat: i386/x32-core.xml i386/64bit-sse.xml \
			      i386/64bit-linux.xml
$(outdir)/i386/x32-avx.dat: i386/x32-core.xml i386/64bit-avx.xml
$(outdir)/i386/x32-avx-linux.dat: i386/x32-core.xml i386/64bit-avx.xml \
				  i386/64bit-linux.xml
$(outdir)/i386/x32-avx512.dat: i386/x32-core.xml i386/64bit-avx.xml \
			       i386/64bit-mpx.xml i386/64bit-avx512.xml
$(outdir)/i386/x32-avx512-linux.dat: i386/x32-core.xml i386/64bit-avx.xml \
			       i386/64bit-mpx.xml i386/64bit-avx512.xml i386/64bit-linux.xml

# 'all' doesn't build the C files, so don't delete them in 'clean'
# either.
clean-cfiles:
	rm -f $(CFILES)

clean:
	rm -f $(OUTPUTS)

## binutils-avr 2.12.90.0.1-3

=== debian/changelog ===
binutils-avr (2.12.90.0.1-3) unstable; urgency=low

  * Recompiled with toolchain-source 3.0.4-4

 -- Hakan Ardo <hakan@debian.org>  Mon,  8 Apr 2002 11:24:53 +0200

binutils-avr (2.12.90.0.1-2) unstable; urgency=low

  * /usr/include/dis-asm.h removed from cross packages
  * Recompiled with toolchain-source 3.0.4-3

 -- Hakan Ardo <hakan@debian.org>  Sat, 30 Mar 2002 12:16:20 +0100

binutils-avr (2.12.90.0.1-1) unstable; urgency=low

  * New upstream release (2.12.90.0.1)

 -- Hakan Ardo <hakan@debian.org>  Sat, 30 Mar 2002 11:31:19 +0100

binutils-avr (2.11.92.0.12.3-4) unstable; urgency=low

  * Recompiled with toolchain-source 3.0.4-1

 -- Hakan Ardo <hakan@debian.org>  Mon, 11 Mar 2002 15:27:18 +0100

binutils-avr (2.11.92.0.12.3-3) unstable; urgency=low

  * Added Build-Depends: bzip2 (closes: #129652)
  * Renamed avr-linux to avr as we dont run linux on target
  * Recompiled with toolchain-source 3.0.3-3

 -- Hakan Ardo <hakan@debian.org>  Sat,  9 Feb 2002 15:42:19 +0100

binutils-avr (2.11.92.0.12.3-2) unstable; urgency=low

  * Now uses tar tjf (Bug #128550)
  * No longer includes conflicting files with binutils, but depends on
    it (Bug #128550)
  * Recompiled with toolchain-source 3.0.3-2

 -- Hakan Ardo <hakan@debian.org>  Thu, 10 Jan 2002 23:34:54 +0100

binutils-avr (2.11.92.0.12.3-1) unstable; urgency=low

  * Updated to upstream version 2.11.92.0.12.3
  * Binutils version numer nolonger hardcoded in rules

 -- Hakan Ardo <hakan@debian.org>  Mon,  7 Jan 2002 15:12:33 +0100

binutils-avr (2.11.90.0.7-5) unstable; urgency=low

  * Changed Amtel into Atmel (Bug #114521)

 -- Hakan Ardo <hakan@debian.org>  Sun, 11 Nov 2001 12:48:06 +0100

binutils-avr (2.11.90.0.7-4) unstable; urgency=low

  * Updated build-depend on toolchain-source (Bug  #109205)

 -- Hakan Ardo <hakan@debian.org>  Sun, 19 Aug 2001 22:15:51 +0200

binutils-avr (2.11.90.0.7-3) unstable; urgency=low

  * No longer uses apt-get but build-depends on toolchain-source (Bug
    #106148)

 -- Hakan Ardo <hakan@debian.org>  Thu, 26 Jul 2001 11:13:44 +0200

binutils-avr (2.11.90.0.7-2) unstable; urgency=low

  * Initial Release as a source pakcage of it's own. Previos 
    releases was as part of the binutils package.

 -- Hakan Ardo <hakan@debian.org>  Mon,  9 Jul 2001 22:21:33 +0200

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: binutils-avr
Section: devel
Priority: extra
Maintainer: Hakan Ardo <hakan@debian.org>
Standards-Version: 3.0.1.1
Build-Depends: autoconf (>= 2.13), bison, flex, gettext, texinfo, binutils (>= 2.9.5.0.12), gcc (>= 2.95.2-1), debhelper (>= 2.0.50), toolchain-source (=3.0.4-4), tar (>= 1.13.18), bzip2

Package: binutils-avr
Section: devel
Architecture: any
Priority: extra
Depends: ${shlibs:Depends}, binutils (>= 2.12.90.0.1-1)
Description: Binary utilities that support Atmel's AVR targets.
 The programs in this package are used to manipulate binary and object
 files that may have been created for Atmel's AVR architecture.  This package
 is primarily for AVR developers and cross-compilers and is not needed
 by normal users or developers.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

PACKAGE=binutils-avr
TARGET=avr

DEB_BUILD_GNU_TYPE      := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_TYPE       := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

CONFARGS = --prefix=/usr \
           --build=$(DEB_BUILD_GNU_TYPE) \
           --host=$(DEB_HOST_GNU_TYPE) \
           --target=$(TARGET)

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

unpack: unpack-stamp
unpack-stamp:
	tar xjf /usr/src/toolchain/binutils.tar.bz2
	mv binutils* src
	mkdir build

	touch unpack-stamp

configure: configure-stamp
configure-stamp: unpack-stamp
	dh_testdir

	# Add here commands to configure the package.
	cd build && env CC="gcc" ../src/configure $(CONFARGS)
	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	cd build && $(MAKE)
	#/usr/bin/docbook-to-man debian/$(PACKAGE).sgml > $(PACKAGE).1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp unpack-stamp

	# Add here commands to clean up after the build process.
	#-$(MAKE) clean
	rm -rf src build

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/$(PACKAGE).
	cd build && $(MAKE) install prefix=$(CURDIR)/debian/$(PACKAGE)/usr
	mv debian/$(PACKAGE)/usr/man  debian/$(PACKAGE)/usr/share/man 
	cp debian/gasp.1 debian/$(PACKAGE)/usr/share/man/man1/avr-gasp.1

	# Files also in main binutils pkg
	cd debian/$(PACKAGE)/usr && \
	/usr/src/toolchain/scripts/tpkg-binutils-rm-common-files

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
#	dh_installexamples
#	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
	dh_installman
#	dh_installinfo
	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps

	# Update toolchain-source version reference (won't work as it's a source dependency)
	#touch debian/substvars
	#-grep -v '^toolchain-source-version=' debian/substvars > debian/substvars.tmp
	#mv debian/substvars.tmp debian/substvars
	#echo >> debian/substvars
	#echo -n 'toolchain-source-version=' >> debian/substvars
	#dpkg -s toolchain-source | grep Version: | sed -e 's/Version: //' >> debian/substvars

	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## binutils-avr 2.14-1

=== debian/changelog ===
binutils-avr (2.14-1) unstable; urgency=low

  * Upstream upgrade
  * Readded Build-Depends on toolchain-source (closes: #199023)

 -- Hakan Ardo <hakan@debian.org>  Mon, 29 Mar 2004 14:15:56 +0200

binutils-avr (2.13.90.1.030512) unstable; urgency=low

  * Now contains the src tar ball
  * Uses packaged dbs
  * Updated to 030512 snapshot
  * No longer Build-Depends on toolchain-source (closes: #187683)

 -- Hakan Ardo <hakan@debian.org>  Wed, 25 Jun 2003 20:58:07 +0200

binutils-avr (2.13.90.0.18-2) unstable; urgency=low

  * Recompiled with toolchain-source 3.2-7

 -- Hakan Ardo <hakan@debian.org>  Tue, 11 Mar 2003 15:50:57 +0100

binutils-avr (2.13.90.0.18-1) unstable; urgency=low

  * New upstream release (2.13.90.0.18)

 -- Hakan Ardo <hakan@debian.org>  Wed, 26 Feb 2003 12:23:09 +0100

binutils-avr (2.13.90.0.10-1) unstable; urgency=low

  * New upstream release (2.13.90.0.10)
  * Added patching support

 -- Hakan Ardo <hakan@debian.org>  Thu,  7 Nov 2002 22:42:16 +0100

binutils-avr (2.13.90.0.4-1) unstable; urgency=low

  * New upstream release (2.13.90.0.4)
  * Relaxed dependency on native pkg and added README.debian describing
    the case

 -- Hakan Ardo <hakan@debian.org>  Wed, 16 Oct 2002 13:36:55 +0200

binutils-avr (2.13-1) unstable; urgency=low

  * New upstream release (2.13)

 -- Hakan Ardo <hakan@debian.org>  Sun, 18 Aug 2002 16:01:53 +0200

binutils-avr (2.12.90.0.7-4) unstable; urgency=low

  * Recompiled with toolchain-source 3.1.1-1

 -- Hakan Ardo <hakan@debian.org>  Fri,  2 Aug 2002 16:06:26 +0200

binutils-avr (2.12.90.0.7-3) unstable; urgency=low

  * Recompiled with toolchain-source 3.1-3

 -- Hakan Ardo <hakan@debian.org>  Wed, 10 Jul 2002 13:28:07 +0200

binutils-avr (2.12.90.0.7-2) unstable; urgency=low

  * Recompiled with toolchain-source 3.1-2

 -- Hakan Ardo <hakan@debian.org>  Sat,  6 Jul 2002 00:12:28 +0200

binutils-avr (2.12.90.0.7-1) unstable; urgency=low

  * New upstream release (2.12.90.0.7)

 -- Hakan Ardo <hakan@debian.org>  Fri, 31 May 2002 13:44:36 +0200

binutils-avr (2.12.90.0.1-4) unstable; urgency=low

  * Recompiled with toolchain-source 3.0.4-5

 -- Hakan Ardo <hakan@debian.org>  Thu,  2 May 2002 15:46:41 +0200

=== debian/control ===
Source: binutils-avr
Section: devel
Priority: extra
Maintainer: Hakan Ardo <hakan@debian.org>
Standards-Version: 3.0.1.1
Build-Depends: autoconf (>= 2.13), bison, flex, gettext, texinfo, binutils (>= 2.9.5.0.12), gcc (>= 2.95.2-1), debhelper (>= 3), tar (>= 1.13.18), bzip2, dbs, toolchain-source

Package: binutils-avr
Section: devel
Architecture: any
Priority: extra
Depends: ${shlibs:Depends} 
Suggests: binutils (>= ${Source-Version})
Description: Binary utilities that support Atmel's AVR targets.
 The programs in this package are used to manipulate binary and object
 files that may have been created for Atmel's AVR architecture.  This package
 is primarily for AVR developers and cross-compilers and is not needed
 by normal users or developers.

## binutils-avr 2.15-1

=== debian/changelog ===
binutils-avr (2.15-1) unstable; urgency=low

  * Upstream release

 -- Hakan Ardo <hakan@debian.org>  Wed, 11 Aug 2004 20:18:26 +0200

=== debian/rules ===
--- 
+++ 
@@ -5,13 +5,15 @@
 PACKAGE=binutils-avr
 TARGET=avr
 
-DEB_BUILD_GNU_TYPE      := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
-DEB_HOST_GNU_TYPE       := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+ifeq (,$(DEB_BUILD_GNU_TYPE))
+  include /usr/share/dbs/dpkg-arch.mk
+endif
 
 CONFARGS = --prefix=/usr \
            --build=$(DEB_BUILD_GNU_TYPE) \
            --host=$(DEB_HOST_GNU_TYPE) \
-           --target=$(TARGET)
+           --target=$(TARGET)\
+           --disable-static
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
@@ -19,28 +21,37 @@
 # This is the debhelper compatability version to use.
 export DH_COMPAT=3
 
-unpack: unpack-stamp
-unpack-stamp:
-	tar xjf /usr/src/toolchain/binutils.tar.bz2
-	mv binutils* src
-	mkdir build
+TAR_DIR=binutils-*
+include /usr/share/dbs/dbs-build.mk
 
-	touch unpack-stamp
+
+# the dbs rules
+#include /usr/src/toolchain/patches/binutils/dbs-build.mk
+#
+#unpack: unpack-stamp
+#unpack-stamp:
+#	tar xjf /usr/src/toolchain/binutils.tar.bz2
+#	mv binutils* src
+#	mkdir build
+#
+#	touch unpack-stamp
+
+
 
 configure: configure-stamp
-configure-stamp: unpack-stamp
+configure-stamp: $(patched)
 	dh_testdir
 
 	# Add here commands to configure the package.
-	cd build && env CC="gcc" ../src/configure $(CONFARGS)
+	cd $(BUILD_TREE) && env CC="gcc" ./configure $(CONFARGS)
 	touch configure-stamp
 
 build: configure-stamp build-stamp
-build-stamp:
+build-stamp: $(patched)
 	dh_testdir
 
 	# Add here commands to compile the package.
-	cd build && $(MAKE)
+	cd $(BUILD_TREE) && $(MAKE)
 	#/usr/bin/docbook-to-man debian/$(PACKAGE).sgml > $(PACKAGE).1
 
 	touch build-stamp
@@ -48,11 +59,11 @@
 clean:
 	dh_testdir
 	dh_testroot
-	rm -f build-stamp configure-stamp unpack-stamp
+	rm -f build-stamp configure-stamp a.out
 
 	# Add here commands to clean up after the build process.
 	#-$(MAKE) clean
-	rm -rf src build
+	rm -rf $(STAMP_DIR) $(SOURCE_DIR)
 
 	dh_clean
 
@@ -63,7 +74,7 @@
 	dh_installdirs
 
 	# Add here commands to install the package into debian/$(PACKAGE).
-	cd build && $(MAKE) install prefix=$(CURDIR)/debian/$(PACKAGE)/usr
+	cd $(BUILD_TREE) && $(MAKE) install prefix=$(CURDIR)/debian/$(PACKAGE)/usr
 	mv debian/$(PACKAGE)/usr/man  debian/$(PACKAGE)/usr/share/man 
 	cp debian/gasp.1 debian/$(PACKAGE)/usr/share/man/man1/avr-gasp.1
 
@@ -80,7 +91,7 @@
 	dh_testdir
 	dh_testroot
 #	dh_installdebconf	
-	dh_installdocs
+	dh_installdocs -n
 #	dh_installexamples
 #	dh_installmenu
 #	dh_installlogrotate

## binutils-avr 2.17

=== debian/changelog ===
binutils-avr (2.17) unstable; urgency=low

  * New upstream release
  * Applied binutils-patch-newdevices.diff from FreeBSD
    (http://www.freebsd.org/cgi/cvsweb.cgi/~checkout~/ports/devel/avr-
    binutils/files/)

 -- Hakan Ardo <hakan@debian.org>  Sun, 22 Apr 2007 10:51:18 +0200

binutils-avr (2.16.1-1) unstable; urgency=low

  * New upstream release

 -- Hakan Ardo <hakan@debian.org>  Sat,  4 Feb 2006 16:20:51 +0100

binutils-avr (2.15-3) unstable; urgency=low

  * Added patch from Theodore A. Roth that adds support for atmega48,
    atmega88, atmega168, attiny13, attiny2313 and at90can128.
  * Added patch from Tom Parker <palfrey@tevp.net> that adds --allow-
    dollars switch to as which allows dollars in function names
    (closes: #247346).

 -- Hakan Ardo <hakan@debian.org>  Sun, 27 Feb 2005 11:43:00 +0100

=== debian/control ===
Source: binutils-avr
Section: devel
Priority: extra
Maintainer: Hakan Ardo <hakan@debian.org>
Standards-Version: 3.0.1.1
Build-Depends: autoconf (>= 2.13), bison, flex, gettext, texinfo, binutils (>= 2.9.5.0.12), gcc (>= 2.95.2-1), debhelper (>= 5), tar (>= 1.13.18), bzip2, dbs

Package: binutils-avr
Section: devel
Architecture: any
Priority: extra
Depends: ${shlibs:Depends} 
Suggests: binutils (>= ${Source-Version})
Description: Binary utilities supporting Atmel's AVR targets
 The programs in this package are used to manipulate binary and object
 files that may have been created for Atmel's AVR architecture.  This package
 is primarily for AVR developers and cross-compilers and is not needed
 by normal users or developers.

=== debian/rules ===
--- 
+++ 
@@ -13,13 +13,18 @@
            --build=$(DEB_BUILD_GNU_TYPE) \
            --host=$(DEB_HOST_GNU_TYPE) \
            --target=$(TARGET)\
-           --disable-static
+           --disable-static\
+           --with-gnu-ld\
+           --with-gnu-as\
+           --enable-install-libbfd\
+           --with-dwarf2
+
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
 # This is the debhelper compatability version to use.
-export DH_COMPAT=3
+export DH_COMPAT=5
 
 TAR_DIR=binutils-*
 include /usr/share/dbs/dbs-build.mk
@@ -80,7 +85,10 @@
 
 	# Files also in main binutils pkg
 	cd debian/$(PACKAGE)/usr && \
-	/usr/src/toolchain/scripts/tpkg-binutils-rm-common-files
+	rm -rf lib/libiberty.* lib/libbfd.* lib/libopcodes* \
+	include/bfd.h include/ansidecl.h include/bfdlink.h \
+	share/locale include/symcat.h include/dis-asm.h \
+	info
 
 # Build architecture-independent files here.
 binary-indep: build install

## binutils-avr 2.18-3

=== debian/changelog ===
binutils-avr (2.18-3) unstable; urgency=low

  * Upgraded newdevices patch to rev 1.13
  * Applied newsections patch rev 1.1 from
    http://www.freebsd.org/cgi/cvsweb.cgi/~checkout~/ports/devel/avr-
    binutils/files/patch-newsections

 -- Hakan Ardo <hakan@debian.org>  Fri, 08 Feb 2008 09:45:51 +0100

binutils-avr (2.18-2) unstable; urgency=low

  * Filename of source tar-ball nolonger hardcoded (closes: #460362)

 -- Hakan Ardo <hakan@debian.org>  Tue, 05 Feb 2008 20:35:29 +0100

binutils-avr (2.18-1) unstable; urgency=low

  * New upstream release (closes: #454687)
  * Now uses src from binutils-source (closes: #413215)
  * Updated newdevices patch to rev 1.12

 -- Hakan Ardo <hakan@debian.org>  Sat, 15 Dec 2007 10:45:05 +0100

binutils-avr (2.17-2) unstable; urgency=low

  * Updated newdevices patch to rev 1.11

 -- Hakan Ardo <hakan@debian.org>  Tue, 14 Aug 2007 17:36:23 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Hakan Ardo <hakan@debian.org>
 Standards-Version: 3.0.1.1
-Build-Depends: autoconf (>= 2.13), bison, flex, gettext, texinfo, binutils (>= 2.9.5.0.12), gcc (>= 2.95.2-1), debhelper (>= 5), tar (>= 1.13.18), bzip2, dbs
+Build-Depends: autoconf (>= 2.13), bison, flex, gettext, texinfo, binutils (>= 2.9.5.0.12), gcc (>= 2.95.2-1), debhelper (>= 5), tar (>= 1.13.18), bzip2, dbs, findutils(>=4.2.31-1), binutils-source (>=2.18)
 
 Package: binutils-avr
 Section: devel

=== debian/rules ===
--- 
+++ 
@@ -27,7 +27,8 @@
 export DH_COMPAT=5
 
 TAR_DIR=binutils-*
-include /usr/share/dbs/dbs-build.mk
+#include /usr/share/dbs/dbs-build.mk
+include debian/dbs-build.mk
 
 
 # the dbs rules
@@ -41,10 +42,11 @@
 #
 #	touch unpack-stamp
 
-
+binutils-2.18.tar.bz2:
+	ln -s /usr/src/binutils/binutils-*.tar.bz2 binutils-2.18.tar.bz2 
 
 configure: configure-stamp
-configure-stamp: $(patched)
+configure-stamp: binutils-2.18.tar.bz2 $(patched)
 	dh_testdir
 
 	# Add here commands to configure the package.
@@ -52,7 +54,7 @@
 	touch configure-stamp
 
 build: configure-stamp build-stamp
-build-stamp: $(patched)
+build-stamp: binutils-2.18.tar.bz2 $(patched)
 	dh_testdir
 
 	# Add here commands to compile the package.
@@ -68,7 +70,7 @@
 
 	# Add here commands to clean up after the build process.
 	#-$(MAKE) clean
-	rm -rf $(STAMP_DIR) $(SOURCE_DIR)
+	rm -rf $(STAMP_DIR) $(SOURCE_DIR) binutils-2.18.tar.bz2 
 
 	dh_clean

## binutils-avr 2.18-4

=== debian/changelog ===
binutils-avr (2.18-4) unstable; urgency=low

  * Revered to an unpatched 2.18 release
  * Applied WinAVR-20080610 from patches/binutils/2.18 in cvs server
    anonymous@winavr.cvs.sourceforge.net:/cvsroot/winavr with tag
    WinAVR-20080610:
      00-binutils-2.18-version-WinAVR.patch
      30-binutils-2.18-avr-size.patch
      31-binutils-2.18-avr-coff.patch
      32-binutils-2.18-new-sections.patch
      33-binutils-2.18-data-origin.patch
      40-binutils-2.18-bug-5523.patch
      41-binutils-2.18-objdump-mixed.patch
      50-0-binutils-2.18-at90pwmx16.patch
      50-1-binutils-2.18-attiny43u.patch
      50-2-binutils-2.18-attiny48.patch
      50-3-binutils-2.18-at90pwm2b3b.patch
      50-4-binutils-2.18-remove-devices.patch
      50-5-binutils-2.18-atmega48p-88p-168p-328p.patch
      50-6-binutils-2.18-attiny88.patch
      50-7-binutils-2.18-atmega1284p.patch
      50-9-binutils-2.18-avr35.patch
      51-binutils-2.18-at86rf401.patch
      52-binutils-2.18-xmega.patch
      53-binutils-2.18-atmega32m1.patch
      54-binutils-2.18-atmega32c1.patch
      55-binutils-2.18-atmega32u4.patch
      56-binutils-2.18-attiny167.patch
      60-binutils-2.18-bug-2626.patch
      70-binutils-2.18-bug-6016.patch
  * Moved /usr/avr to /usr/lib/avr

 -- Hakan Ardo <hakan@debian.org>  Wed, 02 Jul 2008 10:52:07 +0200

=== debian/rules ===
--- 
+++ 
@@ -26,35 +26,40 @@
 # This is the debhelper compatability version to use.
 export DH_COMPAT=5
 
-TAR_DIR=binutils-*
+#TAR_DIR=binutils-*
+#TAR_DIR=TAR_DIR=binutils-*
 #include /usr/share/dbs/dbs-build.mk
-include debian/dbs-build.mk
+#include debian/dbs-build.mk
 
+BUILD_TREE=src
 
 # the dbs rules
 #include /usr/src/toolchain/patches/binutils/dbs-build.mk
 #
-#unpack: unpack-stamp
-#unpack-stamp:
-#	tar xjf /usr/src/toolchain/binutils.tar.bz2
-#	mv binutils* src
-#	mkdir build
-#
-#	touch unpack-stamp
+unpack: unpack-stamp
+unpack-stamp:
+	tar xjf /usr/src/binutils/binutils-*.tar.bz2
+	#tar xjf binutils-2.18.tar.bz2
+	mv `ls -d binutils* | grep -v tar` src
+	#mkdir build
+	touch unpack-stamp
 
-binutils-2.18.tar.bz2:
-	ln -s /usr/src/binutils/binutils-*.tar.bz2 binutils-2.18.tar.bz2 
+patch-stamp:
+	cd $(BUILD_TREE) && for p in ../debian/patches/*.patch; do patch -p0 < $$p; done
+	touch patch-stamp
 
 configure: configure-stamp
-configure-stamp: binutils-2.18.tar.bz2 $(patched)
+configure-stamp: unpack-stamp patch-stamp
 	dh_testdir
 
 	# Add here commands to configure the package.
 	cd $(BUILD_TREE) && env CC="gcc" ./configure $(CONFARGS)
+	make -C src maybe-configure-bfd
+	make -C src/bfd/ headers
 	touch configure-stamp
 
 build: configure-stamp build-stamp
-build-stamp: binutils-2.18.tar.bz2 $(patched)
+build-stamp:
 	dh_testdir
 
 	# Add here commands to compile the package.
@@ -66,11 +71,12 @@
 clean:
 	dh_testdir
 	dh_testroot
-	rm -f build-stamp configure-stamp a.out
+	rm -f build-stamp configure-stamp a.out unpack-stamp patch-stamp
 
 	# Add here commands to clean up after the build process.
 	#-$(MAKE) clean
-	rm -rf $(STAMP_DIR) $(SOURCE_DIR) binutils-2.18.tar.bz2 
+	rm -rf $(BUILD_TREE) 
+	#rm binutils-2.18.tar.bz2 
 
 	dh_clean
 
@@ -84,6 +90,9 @@
 	cd $(BUILD_TREE) && $(MAKE) install prefix=$(CURDIR)/debian/$(PACKAGE)/usr
 	mv debian/$(PACKAGE)/usr/man  debian/$(PACKAGE)/usr/share/man 
 	cp debian/gasp.1 debian/$(PACKAGE)/usr/share/man/man1/avr-gasp.1
+
+	# Non standard avr dir to keep FHS happy
+	mv debian/binutils-avr/usr/avr debian/binutils-avr/usr/lib/
 
 	# Files also in main binutils pkg
 	cd debian/$(PACKAGE)/usr && \

## binutils-avr 2.18-4ubuntu1

=== debian/changelog ===
binutils-avr (2.18-4ubuntu1) jaunty; urgency=low

  * Build with binutils-2.18.tar.bz2, Ubuntu has 2.19.
  * Drop binutils-source build-dependency, we have binutils tarball.
  * Add -Wno-format-security and -U_FORTIFY_SOURCE to CFLAGS, fix FTBFS.

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Sun, 23 Nov 2008 15:33:50 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: binutils-avr
 Section: devel
 Priority: extra
-Maintainer: Hakan Ardo <hakan@debian.org>
+Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
+XSBC-Original-Maintainer: Hakan Ardo <hakan@debian.org>
 Standards-Version: 3.0.1.1
-Build-Depends: autoconf (>= 2.13), bison, flex, gettext, texinfo, binutils (>= 2.9.5.0.12), gcc (>= 2.95.2-1), debhelper (>= 5), tar (>= 1.13.18), bzip2, dbs, findutils(>=4.2.31-1), binutils-source (>=2.18)
+Build-Depends: autoconf (>= 2.13), bison, flex, gettext, texinfo, binutils (>= 2.9.5.0.12), gcc (>= 2.95.2-1), debhelper (>= 5), tar (>= 1.13.18), bzip2, dbs, findutils(>=4.2.31-1)
 
 Package: binutils-avr
 Section: devel

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,8 @@
 ifeq (,$(DEB_BUILD_GNU_TYPE))
   include /usr/share/dbs/dpkg-arch.mk
 endif
+
+export CFLAGS+=-Wno-format-security -U_FORTIFY_SOURCE
 
 CONFARGS = --prefix=/usr \
            --build=$(DEB_BUILD_GNU_TYPE) \
@@ -38,8 +40,8 @@
 #
 unpack: unpack-stamp
 unpack-stamp:
-	tar xjf /usr/src/binutils/binutils-*.tar.bz2
-	#tar xjf binutils-2.18.tar.bz2
+	#tar xjf /usr/src/binutils/binutils-*.tar.bz2
+	tar xjf debian/binutils-2.18.tar.bz2
 	mv `ls -d binutils* | grep -v tar` src
 	#mkdir build
 	touch unpack-stamp

## binutils-avr 2.20-2

=== debian/changelog ===
binutils-avr (2.20-2) unstable; urgency=low

  * Removed /usr/share/info since these docs are provided in binutils-
    doc and gnu-standards (closes: #553541, #553700)

 -- Hakan Ardo <hakan@debian.org>  Wed, 04 Nov 2009 18:53:17 +0100

binutils-avr (2.20-1) unstable; urgency=low

  * New upstream release (closes: #518742, #362270)
  * Applied newsections (rev 1.2) and xmega (rev 1.3) patches from 
    http://www.freebsd.org/cgi/cvsweb.cgi/ports/devel/avr-binutils/

 -- Hakan Ardo <hakan@debian.org>  Sat, 31 Oct 2009 10:37:05 +0100

binutils-avr (2.19-1) unstable; urgency=low

  * New upstream release (closes: #518742)
  * Applied 3 of the patches from revision 63 of svn repository
    https://winavr.svn.sourceforge.net/svnroot/winavr/trunk/patches/binutils/2.19:
        30-binutils-2.19-avr-size.patch
        50-binutils-2.19-xmega.patch
        51-binutils-2.19-xmega2.patch

 -- Hakan Ardo <hakan@debian.org>  Sun, 04 Oct 2009 09:52:54 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: binutils-avr
 Section: devel
 Priority: extra
-Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
-XSBC-Original-Maintainer: Hakan Ardo <hakan@debian.org>
+Maintainer: Hakan Ardo <hakan@debian.org>
 Standards-Version: 3.0.1.1
-Build-Depends: autoconf (>= 2.13), bison, flex, gettext, texinfo, binutils (>= 2.9.5.0.12), gcc (>= 2.95.2-1), debhelper (>= 5), tar (>= 1.13.18), bzip2, dbs, findutils(>=4.2.31-1)
+Build-Depends: autoconf (>= 2.13), bison, flex, gettext, texinfo, binutils (>= 2.9.5.0.12), gcc (>= 2.95.2), debhelper (>= 5), tar (>= 1.13.18), bzip2, dbs, findutils(>=4.2.31), binutils-source (>=2.20)
 
 Package: binutils-avr
 Section: devel

=== debian/rules ===
--- 
+++ 
@@ -8,8 +8,6 @@
 ifeq (,$(DEB_BUILD_GNU_TYPE))
   include /usr/share/dbs/dpkg-arch.mk
 endif
-
-export CFLAGS+=-Wno-format-security -U_FORTIFY_SOURCE
 
 CONFARGS = --prefix=/usr \
            --build=$(DEB_BUILD_GNU_TYPE) \
@@ -25,9 +23,6 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-# This is the debhelper compatability version to use.
-export DH_COMPAT=5
-
 #TAR_DIR=binutils-*
 #TAR_DIR=TAR_DIR=binutils-*
 #include /usr/share/dbs/dbs-build.mk
@@ -40,14 +35,14 @@
 #
 unpack: unpack-stamp
 unpack-stamp:
-	#tar xjf /usr/src/binutils/binutils-*.tar.bz2
-	tar xjf debian/binutils-2.18.tar.bz2
+	tar xjf /usr/src/binutils/binutils-*.tar.bz2
+	#tar xjf binutils-2.18.tar.bz2
 	mv `ls -d binutils* | grep -v tar` src
 	#mkdir build
 	touch unpack-stamp
 
 patch-stamp:
-	cd $(BUILD_TREE) && for p in ../debian/patches/*.patch; do patch -p0 < $$p; done
+	cd $(BUILD_TREE) && for p in `cat ../debian/patchlist`; do echo; echo Applying $$p ...; patch -p0 < ../debian/$$p; done
 	touch patch-stamp
 
 configure: configure-stamp
@@ -90,7 +85,6 @@
 
 	# Add here commands to install the package into debian/$(PACKAGE).
 	cd $(BUILD_TREE) && $(MAKE) install prefix=$(CURDIR)/debian/$(PACKAGE)/usr
-	mv debian/$(PACKAGE)/usr/man  debian/$(PACKAGE)/usr/share/man 
 	cp debian/gasp.1 debian/$(PACKAGE)/usr/share/man/man1/avr-gasp.1
 
 	# Non standard avr dir to keep FHS happy
@@ -101,7 +95,7 @@
 	rm -rf lib/libiberty.* lib/libbfd.* lib/libopcodes* \
 	include/bfd.h include/ansidecl.h include/bfdlink.h \
 	share/locale include/symcat.h include/dis-asm.h \
-	info
+	info share/info
 
 # Build architecture-independent files here.
 binary-indep: build install

## binutils-avr 2.20.1-1

=== debian/changelog ===
binutils-avr (2.20.1-1) unstable; urgency=low

  * New upstream relese
  * Removed build-depends on dbs (closes: #576048)
  * Updated the patch-set to use patches from
    http://www.freebsd.org/cgi/cvsweb.cgi/ports/devel/avr-binutils/:
        patch-avr-size
        patch-coff-avr
        patch-newsections
        patch-as-dwarf
        patch-as-dwarf-avrstudio
        patch-xmega
        patch-newdevices
	

 -- Hakan Ardo <hakan@debian.org>  Fri, 30 Jul 2010 09:20:02 +0200

binutils-avr (2.20-3) unstable; urgency=low

  * Dale Whitfield <dale@4drealtime.co.za> collected a new set of
    patches from Eric Weddington (closes: #482356):
        30-binutils-2.20-avr-size.patch
        31-binutils-2.20-avr-coff.patch
        32-binutils-2.20-new-sections.patch
        34-binutils-2.20-as-dwarf.patch
        35-binutils-2.20-dwarf2-AVRStudio-workaround.patch
        50-binutils-2.20-xmega.patch
        51-binutils-2.20-new-devices.patch


 -- Hakan Ardo <hakan@debian.org>  Sat, 20 Feb 2010 09:59:17 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Hakan Ardo <hakan@debian.org>
 Standards-Version: 3.0.1.1
-Build-Depends: autoconf (>= 2.13), bison, flex, gettext, texinfo, binutils (>= 2.9.5.0.12), gcc (>= 2.95.2), debhelper (>= 5), tar (>= 1.13.18), bzip2, dbs, findutils(>=4.2.31), binutils-source (>=2.20)
+Build-Depends: autoconf (>= 2.13), bison, flex, gettext, texinfo, binutils (>= 2.9.5.0.12), gcc (>= 2.95.2), debhelper (>= 5), tar (>= 1.13.18), bzip2, findutils(>=4.2.31), binutils-source (>=2.20.1)
 
 Package: binutils-avr
 Section: devel

=== debian/rules ===
--- 
+++ 
@@ -5,9 +5,9 @@
 PACKAGE=binutils-avr
 TARGET=avr
 
-ifeq (,$(DEB_BUILD_GNU_TYPE))
-  include /usr/share/dbs/dpkg-arch.mk
-endif
+#ifeq (,$(DEB_BUILD_GNU_TYPE))
+#  include /usr/share/dbs/dpkg-arch.mk
+#endif
 
 CONFARGS = --prefix=/usr \
            --build=$(DEB_BUILD_GNU_TYPE) \

## binutils-avr 2.20.1-1ubuntu2

=== debian/changelog ===
binutils-avr (2.20.1-1ubuntu2) maverick; urgency=low

  * Configure with --disable-werror to fix build failure on armel.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 05 Oct 2010 18:31:47 +0200

binutils-avr (2.20.1-1ubuntu1) maverick; urgency=low

  * Includes binutils source code from unstable (2.20.1) (LP: #612363)
    Fixes FTBFS in maverick due to binutils-source 2.20.51+
    - removed build-depends: binutils-source
    - modified debian/rules to use included src/
    - added copyright info for binutils to debian/copyright

 -- Scott Howard <showard314@gmail.com>  Wed, 04 Aug 2010 18:34:51 -0400

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: binutils-avr
 Section: devel
 Priority: extra
-Maintainer: Hakan Ardo <hakan@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Hakan Ardo <hakan@debian.org>
 Standards-Version: 3.0.1.1
-Build-Depends: autoconf (>= 2.13), bison, flex, gettext, texinfo, binutils (>= 2.9.5.0.12), gcc (>= 2.95.2), debhelper (>= 5), tar (>= 1.13.18), bzip2, findutils(>=4.2.31), binutils-source (>=2.20.1)
+Build-Depends: autoconf (>= 2.13), bison, flex, gettext, texinfo, binutils (>= 2.9.5.0.12), gcc (>= 2.95.2), debhelper (>= 5), tar (>= 1.13.18), bzip2, findutils(>=4.2.31)
 
 Package: binutils-avr
 Section: devel

=== debian/rules ===
--- 
+++ 
@@ -17,6 +17,7 @@
            --with-gnu-ld\
            --with-gnu-as\
            --enable-install-libbfd\
+           --disable-werror \
            --with-dwarf2
 
 
@@ -35,9 +36,9 @@
 #
 unpack: unpack-stamp
 unpack-stamp:
-	tar xjf /usr/src/binutils/binutils-*.tar.bz2
+	#UBUNTU COMMENTED: tar xjf /usr/src/binutils/binutils-*.tar.bz2
 	#tar xjf binutils-2.18.tar.bz2
-	mv `ls -d binutils* | grep -v tar` src
+	#UBUNTU COMMENTED: mv `ls -d binutils* | grep -v tar` src
 	#mkdir build
 	touch unpack-stamp
 
@@ -72,7 +73,7 @@
 
 	# Add here commands to clean up after the build process.
 	#-$(MAKE) clean
-	rm -rf $(BUILD_TREE) 
+	#UBUNTU COMMENT: rm -rf $(BUILD_TREE) 
 	#rm binutils-2.18.tar.bz2 
 
 	dh_clean

## binutils-avr 2.20.1-2

=== debian/changelog ===
binutils-avr (2.20.1-2) unstable; urgency=low

  * Include our own copy of the binutils 2.20.1 source since binutils-
    source now provides version 2.21 and version 2.20.1 is the latest with
    upstream avr support (closes: #618657).
  * Added -Wno-error=unused-but-set-variable and -Wno-error=unused-but-
    set-parameter flags.
  * Replaced the patch-set with the patch-set provided by Atmel at
    http://distribute.atmel.no/tools/opensource/avr-gcc/binutils-2.20.1/
        30-binutils-2.20.1-avr-size.patch
        31-binutils-2.20.1-avr-coff.patch
        32-binutils-2.20.1-new-sections.patch
        34-binutils-2.20.1-as-dwarf.patch
        35-binutils-2.20.1-dwarf2-AVRStudio-workaround.patch
        36-binutils-2.20.1-assembler-options.patch
        50-binutils-2.20.1-xmega.patch
        51-binutils-2.20.1-new-devices.patch
        52-binutils-2.20.1-avrtiny10.patch
        53-binutils-2.20.1-xmega128a1u-64a1u.patch
        54-binutils-2.20.1-atxmega16x1-32x1.patch
        55-binutils-2.20.1-atxmega128b1.patch
        56-binutils-2.20.1-atxmega256a3bu.patch
        57-binutils-2.20.1-at90pwm161.patch
        58-binutils-2.20.1-atmega16hvb-32hvb.patch
        59-binutils-2.20.1-atmega32_5_50_90_pa.patch
        60-binutils-2.20.1-bug13789.patch
        62-binutils-2.20.1-attiny1634.patch
        64-binutils-2.20.1-atmega48pa.patch


 -- Hakan Ardo <hakan@debian.org>  Sat, 09 Jul 2011 14:01:29 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: binutils-avr
 Section: devel
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Hakan Ardo <hakan@debian.org>
+Maintainer: Hakan Ardo <hakan@debian.org>
 Standards-Version: 3.0.1.1
 Build-Depends: autoconf (>= 2.13), bison, flex, gettext, texinfo, binutils (>= 2.9.5.0.12), gcc (>= 2.95.2), debhelper (>= 5), tar (>= 1.13.18), bzip2, findutils(>=4.2.31)

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,6 @@
            --with-gnu-ld\
            --with-gnu-as\
            --enable-install-libbfd\
-           --disable-werror \
            --with-dwarf2
 
 
@@ -36,9 +35,9 @@
 #
 unpack: unpack-stamp
 unpack-stamp:
-	#UBUNTU COMMENTED: tar xjf /usr/src/binutils/binutils-*.tar.bz2
+	tar xjf binutils-*.tar.bz2
 	#tar xjf binutils-2.18.tar.bz2
-	#UBUNTU COMMENTED: mv `ls -d binutils* | grep -v tar` src
+	mv `ls -d binutils* | grep -v tar` src
 	#mkdir build
 	touch unpack-stamp
 
@@ -51,7 +50,7 @@
 	dh_testdir
 
 	# Add here commands to configure the package.
-	cd $(BUILD_TREE) && env CC="gcc" ./configure $(CONFARGS)
+	cd $(BUILD_TREE) && env CC="gcc" CFLAGS="-Wno-error=unused-but-set-variable -Wno-error=unused-but-set-parameter" ./configure $(CONFARGS)
 	make -C src maybe-configure-bfd
 	make -C src/bfd/ headers
 	touch configure-stamp
@@ -73,7 +72,7 @@
 
 	# Add here commands to clean up after the build process.
 	#-$(MAKE) clean
-	#UBUNTU COMMENT: rm -rf $(BUILD_TREE) 
+	rm -rf $(BUILD_TREE) 
 	#rm binutils-2.18.tar.bz2 
 
 	dh_clean

## binutils-avr 2.20.1-3

=== debian/changelog ===
binutils-avr (2.20.1-3) unstable; urgency=low

  * Applied patch fixing upstream bug 12161 (closes: #686173)

 -- Hakan Ardo <hakan@debian.org>  Thu, 30 Aug 2012 12:27:31 +0200

## binutils-avr 2.23.1-2

=== debian/changelog ===
binutils-avr (2.23.1-2) unstable; urgency=low

  * Remove duplicated source

 -- Hakan Ardo <hakan@debian.org>  Wed, 23 Oct 2013 09:37:15 +0200

binutils-avr (2.23.1-1) unstable; urgency=low

  * Upgraded binutils to 2.23.1 (closes: #558335)
  * Replaced the patchset with the patches from Atmel-AVR-Toolchain-
    3.4.2 provided at http://distribute.atmel.no/tools/opensource/Atmel-
    AVR-Toolchain-3.4.2/avr/
  * Fix textinfo5 incompatibility issues (closes: #712351)

 -- Hakan Ardo <hakan@debian.org>  Tue, 02 Jul 2013 09:35:36 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Hakan Ardo <hakan@debian.org>
 Standards-Version: 3.0.1.1
-Build-Depends: autoconf (>= 2.13), bison, flex, gettext, texinfo, binutils (>= 2.9.5.0.12), gcc (>= 2.95.2), debhelper (>= 5), tar (>= 1.13.18), bzip2, findutils(>=4.2.31)
+Build-Depends: autoconf (>= 2.13), automake1.9, bison, flex, gettext, texinfo, binutils (>= 2.9.5.0.12), gcc (>= 2.95.2), debhelper (>= 5), tar (>= 1.13.18), bzip2, findutils(>=4.2.31)
 
 Package: binutils-avr
 Section: devel

## binutils-avr 2.23.1-2.1

=== debian/changelog ===
binutils-avr (2.23.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop unnecessary build deps on autoconf and automake1.9. (Closes:
    #741719)

 -- Eric Dorland <eric@debian.org>  Fri, 21 Mar 2014 21:58:12 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Hakan Ardo <hakan@debian.org>
 Standards-Version: 3.0.1.1
-Build-Depends: autoconf (>= 2.13), automake1.9, bison, flex, gettext, texinfo, binutils (>= 2.9.5.0.12), gcc (>= 2.95.2), debhelper (>= 5), tar (>= 1.13.18), bzip2, findutils(>=4.2.31)
+Build-Depends: bison, flex, gettext, texinfo, binutils (>= 2.9.5.0.12), gcc (>= 2.95.2), debhelper (>= 5), tar (>= 1.13.18), bzip2, findutils(>=4.2.31)
 
 Package: binutils-avr
 Section: devel

=== debian/rules ===
--- 
+++ 
@@ -41,7 +41,7 @@
 	#mkdir build
 	touch unpack-stamp
 
-patch-stamp:
+patch-stamp: unpack-stamp
 	cd $(BUILD_TREE) && for p in `cat ../debian/patchlist`; do echo; echo Applying $$p ...; patch -p0 < ../debian/$$p; done
 	touch patch-stamp
 
@@ -50,6 +50,7 @@
 	dh_testdir
 
 	# Add here commands to configure the package.
+	#cd $(BUILD_TREE)/ld && aclocal-1.9 && automake-1.9 
 	cd $(BUILD_TREE) && env CC="gcc" CFLAGS="-Wno-error=unused-but-set-variable -Wno-error=unused-but-set-parameter" ./configure $(CONFARGS)
 	make -C src maybe-configure-bfd
 	make -C src/bfd/ headers
